
.modal__overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.modal__container {
  background-color: #fff;
  max-width: 81.5rem;
  width: calc(100% - 60px);
  max-height: 100vh;
  overflow-y: auto;
  box-sizing: border-box;
  padding: .5rem;
  /* position: relative; */
}

@media (min-width: 768px) {
  .modal__container {
    padding: 4.375rem;
  }
}

.modal__title {
  margin-top: 0;
  margin-bottom: 1rem;
  font-weight: 700;
  font-size: 2.1rem;
  line-height: 1.25;
  color: #002e51;
  box-sizing: border-box;
}

@media (min-width: 768px) {
  .modal__title {
    font-size: 2.5rem;
  }
}

.modal__close {
  background: transparent;
  border: 0;
  position: absolute;
  top: 1.5625rem;
  right: 1.5625rem;
  font-size: 1.875rem;
  outline: none;
  padding: 0 0.3125rem;
  z-index: 10;
}

.modal__close::before {
  content: "\2715";
  color: #999999;
}

.modal__content {
  /* margin-top: 2rem; */
  /* margin-bottom: 2.5rem; */
  line-height: 1.5;
  color: rgba(0, 0, 0, 0.8);
}

/* Keyframes */
@keyframes mmfadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes mmfadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

@keyframes mmslideIn {
  from {
    transform: translateY(8%);
  }
  to {
    transform: translateY(0);
  }
}

@keyframes mmslideOut {
  from {
    transform: translateY(0);
  }
  to {
    transform: translateY(-8%);
  }
}

/* Micromodal slide behaviour */
.micromodal-slide {
  display: none;
}

.micromodal-slide.is-open {
  display: block;
}

.micromodal-slide[aria-hidden="false"] .modal__overlay {
  animation: mmfadeIn 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide[aria-hidden="false"] .modal__container {
  animation: mmslideIn 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__overlay {
  animation: mmfadeOut 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__container {
  animation: mmslideOut 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide .modal__container,
.micromodal-slide .modal__overlay {
  will-change: transform;
}